From e1bff39ade9b141cdfc4b164a67a70f6f51e3fd1 Mon Sep 17 00:00:00 2001
From: Phil Edwards
Date: Tue, 29 Apr 2003 23:48:52 +0000
Subject: mainpage.html: Bring up to date.
2003-04-29 Phil Edwards
* docs/doxygen/mainpage.html: Bring up to date.
* docs/doxygen/run_doxygen: Cosmetic tweaks. Work around a bug
in Doxygen.
* docs/doxygen/user.cfg.in: Scanning the precompiled headers
breaks everything. Don't scan them.
* docs/html/documentation.html: Point to "Write after approval"
notes.
From-SVN: r66270
---
libstdc++-v3/docs/doxygen/mainpage.html | 13 ++-----------
libstdc++-v3/docs/doxygen/run_doxygen | 16 ++++++++++++----
libstdc++-v3/docs/doxygen/user.cfg.in | 6 ++++--
3 files changed, 18 insertions(+), 17 deletions(-)
(limited to 'libstdc++-v3/docs/doxygen')
diff --git a/libstdc++-v3/docs/doxygen/mainpage.html b/libstdc++-v3/docs/doxygen/mainpage.html
index f205d5f..9f9b554 100644
--- a/libstdc++-v3/docs/doxygen/mainpage.html
+++ b/libstdc++-v3/docs/doxygen/mainpage.html
@@ -23,7 +23,7 @@
libstdc++-v3 Source Documentation
- Documentation Overview
+Documentation Overview
@LEVEL@-level docs, generated @DATE@.
@@ -48,6 +48,7 @@
@@ -81,16 +82,6 @@ href="http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/C++STYLE">C++STYLE.
make sure that the initial formatting is sound.
-The formatting guidelines for using libstdc++-v3 with doxygen are still
- incomplete. There seems to be a marginal preference for the use of
- Java-Doc style formatting, with the idea that the single-line style
- (triple-slash) is the least intrusive mechanism for getting libstdc++-v3
- documented and cross-referenced while at the same time minimizing
- disruption to the current formatting. Full documentation of functions
- (parameter types, return values, etc) will require the slash-splat-splat
- "extended C" commenting style.
-
-
Full page index
Here are entry points to all the pages generated by Doxygen:
diff --git a/libstdc++-v3/docs/doxygen/run_doxygen b/libstdc++-v3/docs/doxygen/run_doxygen
index 5813b31..248625a 100644
--- a/libstdc++-v3/docs/doxygen/run_doxygen
+++ b/libstdc++-v3/docs/doxygen/run_doxygen
@@ -131,7 +131,6 @@ test $do_man = yes && {
chmod -R u+w $outdir/man/man3/ext
}
-set -e
(
set -e
cd $builddir
@@ -147,13 +146,15 @@ set -e
$doxygen ${outdir}/${mode}.cfg
echo :: Finished, exit code was $?
)
-set +e
+ret=$?
+test $ret -ne 0 && exit $ret
test $do_html = yes && {
+ cd ${outdir}/html_${mode}
sed -e "s=@LEVEL@=${LEVELtext}=" \
-e "s=@DATE@=${DATEtext}=" \
- ${srcdir}/docs/doxygen/mainpage.html > ${outdir}/html_${mode}/index.html
- cd ${outdir}/html_${mode}
+ ${srcdir}/docs/doxygen/mainpage.html > index.html
+
# The following bit of line noise changes annoying
# std::foo < typename _Ugly1, typename _Ugly2, .... _DefaultUgly17 >
# to user-friendly
@@ -161,6 +162,13 @@ test $do_html = yes && {
# in the major "Compound List" page.
sed -e 's=\(::[[:alnum:]_]*\)< .* >=\1=' annotated.html > annstrip.html
mv annstrip.html annotated.html
+
+ # Work around a bug in doxygen 1.3.
+ for f in class*html struct*html; do
+ sed '1,10s!^ Template!Template !' $f > TEMP
+ mv TEMP $f
+ done
+
cp ${srcdir}/docs/doxygen/tables.html tables.html
echo ::
echo :: HTML pages begin with
diff --git a/libstdc++-v3/docs/doxygen/user.cfg.in b/libstdc++-v3/docs/doxygen/user.cfg.in
index f785f2b..a9644f7 100644
--- a/libstdc++-v3/docs/doxygen/user.cfg.in
+++ b/libstdc++-v3/docs/doxygen/user.cfg.in
@@ -383,7 +383,8 @@ RECURSIVE = YES
# subdirectory from a directory tree whose root is specified with the INPUT tag.
EXCLUDE = Makefile \
- CVS
+ CVS \
+ stdc++.h.gch
# The EXCLUDE_SYMLINKS tag can be used select whether or not files or directories
# that are symbolic links (a Unix filesystem feature) are excluded from the input.
@@ -396,7 +397,8 @@ EXCLUDE_SYMLINKS = NO
EXCLUDE_PATTERNS = CVS \
stamp-* \
- Makefile
+ Makefile \
+ *gch*
# The EXAMPLE_PATH tag can be used to specify one or more files or
# directories that contain example code fragments that are included (see
--
cgit v1.1